Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_field_value_listener< FieldValue > Class Template Reference

Base class for `field_value_listeners` that are members of nodes. More...

`#include <openvrml/event.h>`

Inheritance diagram for openvrml::node_field_value_listener< FieldValue >:
[legend]

List of all members.

## Public Member Functions

virtual | ~node_field_value_listener () throw ()
| Destroy.

## Protected Member Functions

| node_field_value_listener (openvrml::node &n) throw ()
| Construct.

## Detailed Description

### template<typename FieldValue>
class openvrml::node_field_value_listener< FieldValue >

Base class for `field_value_listeners` that are members of nodes.

Template Parameters:

  | FieldValue | a Field Value.

## Constructor & Destructor Documentation

template<typename FieldValue >

openvrml::node_field_value_listener< FieldValue >::~node_field_value_listener | ( |  | ) | throw ()`[inline, virtual]`

Destroy.

Template Parameters:

  | FieldValue | a Field Value.

template<typename FieldValue >

openvrml::node_field_value_listener< FieldValue >::node_field_value_listener | ( | openvrml::node & | n | ) | throw ()`[inline, explicit, protected]`

Construct.

Template Parameters:

  | FieldValue | a Field Value.

Parameters:

  `[in]` | n | the `node` of which the listener is a member.